import HEAD into svn+ssh://svn.samba.org/home/svn/samba/trunk
[metze/old/v3-2-winbind-ndr.git] / packaging / Debian / debian / README.debian
1 Samba for Debian
2 ----------------
3
4 This package was built by Eloy Paris <peloy@debian.org> and Steve Langasek
5 <vorlon@debian.org>, current maintainers of the Samba packages for Debian,
6 based on previous work from Bruce Perens <Bruce@Pixar.com>, Andrew
7 Howell <andrew@it.com.au>, Klee Dienes <klee@debian.org> and Michael
8 Meskes <meskes@topsystem.de>, all previous maintainers of the packages
9 samba and sambades (merged together for longer than we can remember.)
10
11 Contents of this README file:
12
13 1. Notes
14 2. Upgrading from Samba 2.2
15 3. Packages Generated from the Samba Sources
16 4. Support for NT Domains
17 5. Reporting bugs
18
19
20 1. Notes
21 --------
22
23 - As of Samba 2.0.6-1, the Debian version of Samba is compiled with
24   Pluggable Authentication Modules (PAM) support. PAM support was 
25   discontinued during the libc5 -> libc6 migration process and I never
26   brought it back until 2.0.6-1.
27
28 - The smbfs package does not support the 2.0.x Linux kernels anymore.
29   This has been the case since the very first packages of the CVS sources
30   that eventually became Samba 2.2. To use the smbfs package you need to
31   run a 2.2.x kernel or later.
32
33 - Starting with the Debian packages for Samba 2.2, the Samba log files (for
34   nmbd and smbd) have been moved to a new location: /var/log/samba/. The
35   files also have new names: log.nmbd and log.smbd. The old files
36   (/var/log/{nmb,smb} were moved to the new location.
37
38
39 2. Upgrading from Samba 2.2
40 ---------------------------
41
42 Samba 3.0 provides greatly improved support for modern Windows systems,
43 including support for Unicode and LDAP.  In the process, Samba 3.0
44 necessarily also breaks backward compatiblity with past releases.  These
45 issues are documented herein; if you are aware of other problems related
46 to upgrading from Samba 2.2, please let us know at
47 <samba@packages.debian.org>.
48
49 Samba and LDAP
50 --------------
51 Starting with Samba 2.999+3.0cvs20020723-1 we are building Samba with
52 LDAP support.  However, the LDAP schema for Samba 3.0 differs
53 substantially from the schema used by many sites with Samba 2.2 (not
54 enabled in the Debian packages).  If upgrading from an LDAP-enabled 2.2,
55 you will need to run the convertSambaAccount script found in
56 /usr/share/doc/samba-doc/examples/LDAP.  A copy of the schema itself can
57 also be found at /usr/share/doc/samba-doc/examples/LDAP/samba.schema.
58
59 Character Sets
60 --------------
61 Samba 3.0 introduces support for negotiating Unicode (UCS-2LE) with
62 Windows clients.  Owing to the close similarity between Windows and Unix
63 NLS charsets, in the past, many users were able to pass filenames
64 containing non-ASCII characters between clients and servers without
65 configuring Samba to know what character set was in use.  Now, Samba
66 must be able to convert Unix filenames to Unicode before sending to the
67 client, so Samba must know what character set the filenames are being
68 converted from.  If you will be sharing files with non-ASCII names, and
69 the filenames are not encoded with UTF-8, you will need to tell Samba
70 which character set to use with the 'unix charset' option.
71
72 If you had previously specified 'character set' and 'client code page'
73 options under 2.2, these settings should be automatically converted for
74 you.
75
76
77 3. Packages Generated from the Samba Sources
78 --------------------------------------------
79
80 Currently, the Samba sources produce the following binary packages:
81
82 samba: A LanManager like file and printer server for Unix.
83 samba-common: Samba common files used by both the server and the client.
84 smbclient: A LanManager like simple client for Unix.
85 swat: Samba Web Administration Tool
86 samba-doc: Samba documentation.
87 smbfs: Mount and umount commands for the smbfs (works with 2.2.x and
88         above kernels, not with 2.0.x kernels.)
89 libpam-smbpass: pluggable authentication module for SMB password
90         database.
91 libsmbclient: Shared library that allows applications to talk to SMB servers.
92 libsmbclient-dev: libsmbclient shared libraries.
93 winbind: Service to resolve user and group information from a Windows NT 
94         server.
95 python2.2-samba: Python bindings that allow access to various aspects of
96         Samba.
97
98 Please note that the package smbwrapper (a shared library that provides
99 SMB client services that existed between Samba 2.0.0-1 and Samba-2.0.5a-4
100 does not exist any more. The reason is that starting with Samba 2.0.6-1, that
101 code does not even compile, and the upstream author (Andrew Tridgell)
102 recommended to disable the compilation of smbwrapper until some issues
103 with glibc2.1 get cleared out (the problem is with glibc, not with Samba
104 itself).
105
106
107 4. Support for NT Domains
108 -------------------------
109
110 Samba 2.2 includes preliminary support for NT domains. A Samba server
111 can now be part of a Windows NT domain whose Primary Domain Controller
112 is a Windows NT server. This feature is supposed to be stable although I
113 haven't tried it myself. Read the documentation in the samba-doc package
114 for help on how to do this (hint: "security = domain" in the smb.conf
115 file).
116
117 Samba 2.2 has also experimental support for Primary Domain
118 Controller. This means that a Samba server can act now as a PDC. There
119 are no special flags needed to compile Samba with NT domain PDC
120 support. Please read the NTDOM PDC FAQ at www.samba.org (Documentation
121 section).
122
123 Please note that NT domain PDC support is far from complete and is still 
124 experimental.
125
126
127 5. Reporting Bugs
128 -----------------
129
130 If you believe you have found a bug please make sure the possible bug
131 also exists in the latest version of Samba that is available for the
132 unstable Debian distribution. If you are running Debian stable this
133 means that you will probably have to build your own packages. And if the
134 problem does not exist in the latest version of Samba we have packaged it
135 means that you will have to run the version of Samba you built yourself
136 since it is not easy to upload new packages to the stable distribution,
137 unless they fix critical security problems.
138
139 If you can reproduce the problem in the latest version of Samba then
140 it is likely to be a real bug. Your best shot is to search the Samba
141 mailing lists to see if it is something that has already been reported
142 and fixed - if it is a simple fix we can add the patch to our packages
143 without waiting for a new Samba release.
144
145 If you decide that your problem deserves to be submitted to the Debian
146 Bug Tracking System (BTS) we expect you to be responsive if we request
147 more information. If we request more information and do not receive
148 any in a reasonable time frame expect to see your bug closed without
149 explanation - we can't fix bugs we can't reproduce, and most of the
150 time we need more information to be able to reproduce them.
151
152 When submitting a bug to the Debian BTS please include the version of
153 the Debian package you are using as well as the Debian distribution you
154 are using. Think _twice_ about the severity you assign to the bug: we
155 are _very_ sensitive about bug severities; the fact that it doesn't
156 work for you doesn't mean that the severity must be such that it holds
157 a major Debian release. In fact, that it doesn't work for you it
158 doesn't mean that it doesn't work for others. So again: think _twice_.
159
160
161 Eloy A. Paris <peloy@debian.org>
162 Steve Langasek <vorlon@debian.org>
163